size.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/tuple/elem.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_ARRAY_SIZE(array) MSGPACK_PP_ARRAY_SIZE_I(array)
#define | MSGPACK_PP_ARRAY_SIZE_I(array) MSGPACK_PP_ARRAY_SIZE_II array
#define | MSGPACK_PP_ARRAY_SIZE_II(size, data) size

## Macro Definition Documentation

## MSGPACK_PP_ARRAY_SIZE

#define MSGPACK_PP_ARRAY_SIZE | ( |  | array | ) | MSGPACK_PP_ARRAY_SIZE_I(array)

## MSGPACK_PP_ARRAY_SIZE_I

#define MSGPACK_PP_ARRAY_SIZE_I | ( |  | array | ) | MSGPACK_PP_ARRAY_SIZE_II array

## MSGPACK_PP_ARRAY_SIZE_II

#define MSGPACK_PP_ARRAY_SIZE_II | ( |  | size,
|  |  | data
| ) |  | size